Subject: Re: Enable netem in my Linux box

From: Stephen Hemminger <[email-masked]>
Date: Thu, 10 May 2007 09:57:38 -0700

On Thu, 10 May 2007 12:09:46 -0400
Koon Wah Yick <[email-masked]> wrote:

> Stephen:
> 
> Thank you for your response, I type in modinfo sch_netem
> 
> Here is what I got:
> 
> filename: /lib/modules/2.6.11-1.1369_FC4/kernel/net/sched/sch_netem.ko
> license: GPL
> vermagic: 2.6.11-1.l369_FC 686 REGPARM 4KSTACKS gcc-4.0
> depends:
> srcversion: BD4563861423428FF0D5918
> 
> when I try the following "tc" command with netem
> 
> > tc qdisc change dev eth0 root netem loss 0.1%
> 
> I got the error message
> RTNETLINK answers: No such file or directory.
> 

You want to use 'add' not 'change'.
The examples on the linux-net page are sequential, so the first one uses 'add'.
Later examples, then use change to alter parameters